Bug 219249 - Xserver segfault in EventMaskForClient
Xserver segfault in EventMaskForClient
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 23:34 EST by Mike A. Harris
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: Fedora 7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-14 02:08:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server log (63.17 KB, text/plain)
2006-12-11 23:36 EST, Mike A. Harris
no flags Details
X server config (634 bytes, application/octet-stream)
2006-12-11 23:38 EST, Mike A. Harris
no flags Details

  None (edit)
Description Mike A. Harris 2006-12-11 23:34:18 EST
Description of problem:
Just suffered an Xorg server SEGV out of the blue for the first time with FC6,
which at least implies that it might be somewhat transient.  Running fully
updated FC6 with no 3rd party software, using the 'radeon' driver on a
Radeon 9800 Pro.

Using stock GNOME desktop with default screensaver/DPMS settings unmodified,
and not using compiz (although I've previously played with compiz with very
high stability).

The system has been running for many days, perhaps even weeks since my last
reboot, and the default blank-screen screensaver has kicked in many times
with no problems.  Tonight however, I came home, hit a key, typed in my
password to unlock the screen and the screen just went totally black and
stayed that way.  I waited a bit in case it had to swap stuff in or somesuch,
and no disk activity, and no mouse pointer.  DPMS was not kicked in as my DFP
was still powered on and getting a video signal, just all black screen.

VT switching worked, and I was able to switch to the console and back to VT7
no problem many times while trying to troubleshoot what was going on.  The
X server was still running, but using no CPU in top.  I sent SIGTERM to
gnome-screensaver, and tried to switch back, still black screen.  Switched
back out to VT1 and back again a few times, still nothing.  SIGKILL'd
gnome-screensaver which didn't die with the SIGTERM.  Then switched to VT7
and it took about 15 seconds to change video mode with init messages on
the text screen.  Finally it switched to the black X screen again, then
booted me back out to VT1.  The X server was no longer running, and the
log files (attached below) indicate the server died with a SEGV.

I'm assuming that the screensaver triggered a race condition of some sort
in the server, but I highly doubt I'd be able to reproduce this reliably
at all.  It's the first server crash I've seen in FC6.

Just thought I would log it in bugzilla, in case anyone else has a similar
issue and can add to it, etc.

Attaching relevant files...
Comment 1 Mike A. Harris 2006-12-11 23:36:47 EST
Created attachment 143359 [details]
X server log
Comment 2 Mike A. Harris 2006-12-11 23:38:22 EST
Created attachment 143360 [details]
X server config
Comment 3 Mike A. Harris 2006-12-11 23:39:16 EST
Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80d4cc1]
1: [0x475420]
2: /usr/bin/Xorg(EventMaskForClient+0x3f) [0x808d5ef]
3: /usr/bin/Xorg [0x8092e15]
4: /usr/bin/Xorg [0x8092fcf]
5: /usr/bin/Xorg [0x8093082]
6: /usr/bin/Xorg [0x8093416]
7: /usr/bin/Xorg(UnmapWindow+0x145) [0x8073a95]
8: /usr/bin/Xorg(DeleteWindow+0x36) [0x80771f6]
9: /usr/bin/Xorg(FreeClientResources+0x85) [0x8071035]
10: /usr/bin/Xorg(CloseDownClient+0x1a8) [0x8081c58]
11: /usr/bin/Xorg(Dispatch+0x2b9) [0x80881f9]
12: /usr/bin/Xorg(main+0x485) [0x806fa65]
13: /lib/libc.so.6(__libc_start_main+0xdc) [0x4e424f2c]
14: /usr/bin/Xorg(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Fatal server error:
Caught signal 11.  Server aborting
Comment 4 Mike A. Harris 2006-12-11 23:48:53 EST
xorg-x11-apps-7.1-3.fc6
xorg-x11-docs-1.2-4.fc6
xorg-x11-drivers-7.1-3
xorg-x11-drv-acecad-1.1.0-2.1
xorg-x11-drv-aiptek-1.0.1-2
xorg-x11-drv-apm-1.1.1-2.1
xorg-x11-drv-ark-0.6.0-2.1
xorg-x11-drv-ast-0.81.0-3
xorg-x11-drv-ati-6.6.3-1.fc6
xorg-x11-drv-calcomp-1.1.0-1.1
xorg-x11-drv-chips-1.1.1-2.1
xorg-x11-drv-cirrus-1.1.0-2.fc6
xorg-x11-drv-citron-2.2.0-1.1
xorg-x11-drv-cyrix-1.1.0-4
xorg-x11-drv-digitaledge-1.1.0-1.1
xorg-x11-drv-dmc-1.1.0-2
xorg-x11-drv-dummy-0.2.0-2.1
xorg-x11-drv-dynapro-1.1.0-2
xorg-x11-drv-elo2300-1.1.0-1.1
xorg-x11-drv-elographics-1.1.0-1.1
xorg-x11-drv-evdev-1.1.2-2.1
xorg-x11-drv-fbdev-0.3.0-2
xorg-x11-drv-fpit-1.1.0-1.1
xorg-x11-drv-glint-1.1.1-4.1
xorg-x11-drv-hyperpen-1.1.0-2
xorg-x11-drv-i128-1.2.0-4
xorg-x11-drv-i740-1.1.0-2.1
xorg-x11-drv-i810-1.6.5-10.fc6
xorg-x11-drv-jamstudio-1.1.0-1.1
xorg-x11-drv-joystick-1.1.0-1.1
xorg-x11-drv-keyboard-1.1.0-2.1
xorg-x11-drv-magellan-1.1.0-1.1
xorg-x11-drv-magictouch-1.0.0.5-2.1
xorg-x11-drv-mga-1.4.2-1.fc6
xorg-x11-drv-microtouch-1.1.0-1.1
xorg-x11-drv-mouse-1.1.1-1.1
xorg-x11-drv-mutouch-1.1.0-2
xorg-x11-drv-neomagic-1.1.1-2.1
xorg-x11-drv-nsc-2.8.1-2.1
xorg-x11-drv-nv-1.2.0-4.fc6
xorg-x11-drv-palmax-1.1.0-1.1
xorg-x11-drv-penmount-1.1.0-2.1
xorg-x11-drv-rendition-4.1.0-3.1
xorg-x11-drv-s3-0.4.1-2.1
xorg-x11-drv-s3virge-1.9.1-2.1
xorg-x11-drv-savage-2.1.1-5.fc6
xorg-x11-drv-siliconmotion-1.4.1-2.1
xorg-x11-drv-sis-0.9.1-7
xorg-x11-drv-sisusb-0.8.1-4.1
xorg-x11-drv-spaceorb-1.1.0-1.1
xorg-x11-drv-summa-1.1.0-1.1
xorg-x11-drv-tdfx-1.2.1-3.1
xorg-x11-drv-trident-1.2.1-3.fc6
xorg-x11-drv-tseng-1.1.0-3.1
xorg-x11-drv-ur98-1.1.0-1.1
xorg-x11-drv-v4l-0.1.1-4
xorg-x11-drv-vesa-1.2.1-4
xorg-x11-drv-vga-4.1.0-2.1
xorg-x11-drv-via-0.2.1-7
xorg-x11-drv-vmmouse-12.4.0-2.1
xorg-x11-drv-vmware-10.13.0-2.1
xorg-x11-drv-void-1.1.0-3.1
xorg-x11-drv-voodoo-1.1.0-3.1
xorg-x11-filesystem-7.1-2.fc6
xorg-x11-fonts-100dpi-7.1-2
xorg-x11-fonts-75dpi-7.1-2
xorg-x11-fonts-base-7.1-2
xorg-x11-fonts-ISO8859-1-100dpi-7.1-2
xorg-x11-fonts-ISO8859-1-75dpi-7.1-2
xorg-x11-fonts-misc-7.1-2
xorg-x11-fonts-truetype-7.1-2
xorg-x11-fonts-Type1-7.1-2
xorg-x11-font-utils-7.1-2
xorg-x11-proto-devel-7.1-9.fc6
xorg-x11-resutils-7.1-2.fc6
xorg-x11-server-utils-7.1-4.fc6
xorg-x11-server-Xnest-1.1.1-47.1.fc6
xorg-x11-server-Xorg-1.1.1-47.1.fc6
xorg-x11-twm-1.0.1-3.1
xorg-x11-util-macros-1.0.2-4.fc6
xorg-x11-utils-7.1-2.fc6
xorg-x11-xauth-1.0.1-2.1
xorg-x11-xdm-1.0.5-5.fc6
xorg-x11-xfs-1.0.2-3.1
xorg-x11-xinit-1.0.2-15.fc6
xorg-x11-xkb-utils-1.0.2-2.1
xorg-x11-xtrans-devel-1.0.1-1.1.fc6

libX11-1.0.3-5.fc6
libXau-1.0.1-3.1
libXaw-1.0.2-8.1
libXcomposite-0.3-5.1
libXcursor-1.1.7-1.1
libXdamage-1.0.3-2.1
libXdmcp-1.0.1-2.1
libXevie-1.0.1-3.1
libXext-1.0.1-2.1
libXfixes-4.0.1-2.1
libXfont-1.2.2-1.fc6
libXfontcache-1.0.2-3.1
libXft-2.1.10-1.1
libXi-1.0.1-3.1
libXinerama-1.0.1-2.1
libXmu-1.0.2-5
libXp-1.0.0-8
libXpm-3.5.5-3
libXrandr-1.1.1-3.1
libXrender-0.9.1-3.1
libXres-1.0.1-3.1
libXScrnSaver-1.1.0-3.1
libXt-1.0.2-3.1.fc6
libXTrap-1.0.0-3.1
libXtst-1.0.1-3.1
libXv-1.0.1-4.1
libXvMC-1.0.2-2.1
libXxf86dga-1.0.1-3.1
libXxf86misc-1.0.1-3.1
libXxf86vm-1.0.1-3.1
Comment 5 George Billios 2006-12-12 14:44:51 EST
Seems that I have a similar problem after upgrading to
xorg-x11-server-Xorg-1.1.1-47.2.fc6 with an NVidia card which worked fine before
the upgrade. 

Here is what is written on xorg.0.log after the random crash.

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80e54a1]
1: [0x4001b420]
2: /usr/lib/xorg/modules/drivers/nvidia_drv.so(_nv000677X+0xb) [0x40d806c3]
3: /usr/bin/Xorg(Dispatch+0x19a) [0x80880da]
4: /usr/bin/Xorg(main+0x485) [0x806fa65]
5: /lib/libc.so.6(__libc_start_main+0xdc) [0x40129f2c]
6: /usr/bin/Xorg(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Fatal server error:
Caught signal 11.  Server aborting

Comment 6 George Billios 2006-12-12 14:51:43 EST
Here is a very very fresh trace after a hard lock:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80e54a1]
1: [0x4001b420]
2: /lib/libc.so.6 [0x4017a0d4]
3: /lib/libc.so.6(__libc_malloc+0x7e) [0x4017bd2e]
4: /usr/bin/Xorg(Xalloc+0x27) [0x81a73f7]
5: /usr/bin/Xorg(AllocatePicture+0x32) [0x8148432]
6: /usr/bin/Xorg(CreatePicture+0x36) [0x8149206]
7: /usr/bin/Xorg(miCreateAlphaPicture+0x11b) [0x814650b]
8: /usr/bin/Xorg(miTrapezoids+0x16c) [0x81466fc]
9: /usr/bin/Xorg [0x815dbb4]
10: /usr/bin/Xorg(CompositeTrapezoids+0x93) [0x8147713]
11: /usr/bin/Xorg [0x814e354]
12: /usr/bin/Xorg [0x814a5f5]
13: /usr/bin/Xorg(Dispatch+0x19a) [0x80880da]
14: /usr/bin/Xorg(main+0x485) [0x806fa65]
15: /lib/libc.so.6(__libc_start_main+0xdc) [0x40129f2c]
16: /usr/bin/Xorg(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Fatal server error:
Caught signal 11.  Server aborting

This happens very frequently, either a hard lock or a xorg restart, almost every
15 minutes. 
Comment 7 Mike A. Harris 2006-12-12 23:12:44 EST
gbillios:  It is probably best to file your own bug report in X.Org bugzilla,
as you also seem to be experiencing a SEGV, however you're using the
proprietary Nvidia driver which is unsupported by Fedora.

It is best to keep bugs such as these completely separate until there is
more concrete evidence that they're the same problem, to avoid information
about possibly unrelated problems from cluttering a single bug report.

Once developers investigate the given issue(s), if they can conclude several
bug reports are the same issue, they can close duplicates against a single
bug.

Thanks for the info though.
Comment 8 Matěj Cepl 2006-12-13 07:56:45 EST
Thanks for the report.  In order for us to be able to investigate
this issue, we need you to perform the following steps.  Download
and install all xorg-x11 rpms in order to replace the xorg-x11 X
server modules that the Nvidia binary driver installation
overwrites.  This will ensure the X server finds the modules that
X.Org ships.

Once you have reinstated the Red Hat supplied X.Org modules, you
can then run "system-config-display --reconfig" which will
autodetect your video hardware and configure the correct driver,
which will either be "nv" or "vesa" depending on the specific
model you're using.  You'll now need to fully reboot the computer
in order to remove all proprietary kernel modules from the system
and restore the video hardware to its power on state.  After
this you'll need to edit the config file and manually re-enable
the COMPOSITE extension.  The experimental COMPOSITE extension
should then show up in the output of xdpyinfo, and should be
functional.  Please test this configuration and report back the
results, including file attachments of the new X server log,
config file, /var/log/messages, the output of lsmod, and
xdpyinfo.  Thanks in advance."
Comment 9 George Billios 2006-12-13 14:32:51 EST
Just to make sure that I understand, your answer is:

"blah blah blah blah blah blah blah
f*** NVidia blah blah blah blah blah
our patch broke a closed source driver so f*** NVidia
blah blah blah blah blah blah blah "

Is this correct?
Comment 10 Matěj Cepl 2006-12-14 07:20:22 EST
No, that means, that we are not able to support drivers of the third parties for
which we have no source code. Don't take it bad, but we have really no clue
what's the problem with that driver and what could be done.
Comment 11 Mike A. Harris 2006-12-20 05:14:34 EST
You gotta be fucking kidding me.

First of all, I'm using an ATI Radeon card with stock Fedora drivers, and
have never installed any proprietary drivers on any Linux system for any
hardware period in my entire life.

Also, as the former maintainer of the X Window System at Red Hat, I am well
aware that proprietary drivers are not supported by Red Hat and would _never_
waste my time nor Red Hat's time by reporting bugs in Red Hat bugzilla if my
system were using _any_ proprietary drivers period.

However, if you actually read the bug report I filed, and read the log file
that I attached, you would be well aware that there were no proprietary
drivers involved in this bug report.

Let's be very clear here:  My system contains NO PROPRIETARY DRIVERS, and
yet this bug report has been closed by Matej Cepl as "proprietary drivers
unsupported".

What the fuck?

Either reopen the bug report that *I* filed, ignore all the other useless
bullshit other people added to it which is unrelated to my bug report,
and respond properly to it, or feel free to leave it closed and I'll take
that as my queue to never file bugs in Red Hat bugzilla again.

After having myself been on the _receiving_ end of X.Org bug reports at
Red Hat for 5.5+ years, and having attached all of the info to the report
that *I* would have liked to have if I were still on the receiving end,
I expect a bit more than this.

</OFFENDED>
Comment 12 Mike A. Harris 2006-12-20 05:16:22 EST
gbillios:  Proprietary drivers are unsupported by Red Hat, always have been
and always will be.  If you use them, you lose.

Go get your own bug report in X.Org bugzilla rather than causing people
to get pissed off and prematurely close _my_ bug report.

Thanks, have a nice day.
Comment 13 George Billios 2006-12-20 06:56:17 EST
For comments like this you should use direct emails and not force other people
read whatever comes down you head.

Cheers, hope you grow up soon. 
Comment 14 Matěj Cepl 2006-12-20 11:18:00 EST
Mike, if you were working with bugs here, you know that mistakes happens (isn't
it actually whole point of bugzilla?) and I got confused by too fast reading of
your comment 7. You probably also knows that the one thing you really long for
is somebody who didn't wash his mouth in the end of the day. Reopening and
reassigning.

gbil, of course, the advice about filing a bug in NVidia in comment 8 is for
you. Thanks for defending me from mharris, but I am afraid in this case he is
right (despite what I think about his language).
Comment 15 Mike A. Harris 2006-12-20 12:50:42 EST
(In reply to comment #14)
> Mike, if you were working with bugs here, you know that mistakes happens (isn't
> it actually whole point of bugzilla?) and I got confused by too fast reading of
> your comment 7. You probably also knows that the one thing you really long for
> is somebody who didn't wash his mouth in the end of the day. Reopening and
> reassigning.
> 
> gbil, of course, the advice about filing a bug in NVidia in comment 8 is for
> you. Thanks for defending me from mharris, but I am afraid in this case he is
> right (despite what I think about his language).

Matej,

Yes, mistakes do happen sometimes, I can't argue with that.  I'd like to
apologize to both of you for my previous angry statements.  I've had a
few bugs that I filed in Red Hat bugzilla closed by someone in a manner
that implied to me that the person closing the bug was more interested
in just reducing their bug count than they were on actually reading the
bug report and trying to do something about it.

After reading the comments about using proprietary drivers and seeing
the bug closed, I let my anger get the best of me and blew off some
steam before thinking about it and considering a more calm and
reasonable approach.  I'll try to do better next time.

Thanks for your patience.
Comment 16 Matěj Cepl 2006-12-20 17:09:10 EST
(In reply to comment #15)
> Yes, mistakes do happen sometimes, I can't argue with that.  I'd like to
> apologize to both of you for my previous angry statements.

No bad feelings. Let's hope ajax will have clue what's going on.
Comment 17 Mike A. Harris 2007-10-14 02:08:44 EDT
Never had the problem occur again in FC6, and am no longer using FC6.  Haven't
seen the problem on any other installation.  I'm on F7 now, and also no sign of
the problem as of yet.

No sense tracking it anymore unless it occurs with the latest bits...

Note You need to log in before you can comment on or make changes to this bug.